Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider
Class AbstractLayeredFileProvider

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractVfsContainer
              org.apache.commons.vfs.provider.AbstractFileProvider
                  org.apache.commons.vfs.provider.AbstractLayeredFileProvider

All Implemented Interfaces:
  FileProvider, VfsComponent

Direct Known Subclasses:
  CompressedFileFileProvider, TarFileProvider, ZipFileProvider

public abstract class AbstractLayeredFileProvider
extends AbstractFileProvider
implements FileProvider

A `FileProvider` that is layered on top of another, such as the contents of a zip or tar file.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Constructor Summary
`AbstractLayeredFileProvider()`

Method Summary
`FileObject` | `createFileSystem(String scheme, FileObject file, FileSystemOptions fileSystemOptions)` Creates a layered file system.
`protected abstract FileSystem` | `doCreateFileSystem(String scheme, FileObject file, FileSystemOptions fileSystemOptions)` Creates a layered file system.
`FileObject` | `findFile(FileObject baseFile, String uri, FileSystemOptions properties)` Locates a file object, by absolute URI.

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileProvider
`addFileSystem, close, closeFileSystem, findFileSystem, freeUnusedResources, getConfigBuilder, getFileNameParser, parseUri, setFileNameParser`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsContainer
`addComponent, removeComponent`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, init, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.provider.FileProvider
`getCapabilities, getConfigBuilder, parseUri`

Constructor Detail

### AbstractLayeredFileProvider

    public AbstractLayeredFileProvider()

Method Detail

### findFile

    public FileObject findFile(FileObject baseFile,
                               String uri,
                               FileSystemOptions properties)
                        throws FileSystemException

  Locates a file object, by absolute URI.

  Specified by:
    `findFile` in interface `FileProvider`
  Parameters:
    `baseFile` - The base file to use for resolving the individual parts of a compound URI.
    `uri` - The absolute URI of the file to find.
    `properties` -
  Throws:
    `FileSystemException`

### createFileSystem

    public FileObject createFileSystem(String scheme,
                                       FileObject file,
                                       FileSystemOptions fileSystemOptions)
                                throws FileSystemException

  Creates a layered file system.

  Specified by:
    `createFileSystem` in interface `FileProvider`
  Overrides:
    `createFileSystem` in class `AbstractFileProvider`
  Throws:
    `FileSystemException`

### doCreateFileSystem

    protected abstract FileSystem doCreateFileSystem(String scheme,
                                                     FileObject file,
                                                     FileSystemOptions fileSystemOptions)
                                              throws FileSystemException

  Creates a layered file system. This method is called if the file system is not cached. The file system may implement `VfsComponent`.

  Parameters:
    `scheme` - The URI scheme.
    `file` - The file to create the file system on top of.
  Returns:
    The file system.
  Throws:
    `FileSystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.